Skip to main content

Get last run's default dataset

GET 

/v2/actors/:actorId/runs/last/dataset

Returns the default dataset associated with the last Actor run.

This endpoint is a shortcut for getting the last run's defaultDatasetId and then using the Get dataset endpoint.

Request

Path Parameters

    actorId string required

    Actor ID or the username of the Actor owner and the Actor name, separated by a tilde (~).


    Example: compass~google-maps-extractor

Query Parameters

    status string

    Filter for the run status.


    Example: SUCCEEDED
    origin RunOrigin

    Possible values: [DEVELOPMENT, WEB, API, SCHEDULER, TEST, WEBHOOK, ACTOR, CLI, CI, STANDBY, MCP]

    Filter for the run origin, i.e. the means by which the run was started.

Status 200

Response Headers
    {
    "data": {
    "id": "WkzbQMuFYuamGv3YF",
    "name": "d7b9MDYsbtX5L7XAj",
    "userId": "wRsJZtadYvn4mBZmm",
    "createdAt": "2019-12-12T07:34:14.202Z",
    "modifiedAt": "2019-12-13T08:36:13.202Z",
    "accessedAt": "2019-12-14T08:36:13.202Z",
    "itemCount": 7,
    "cleanItemCount": 5,
    "actId": "string",
    "actRunId": "string",
    "fields": "Unknown Type: array,null",
    "schema": {
    "actorSpecification": 1,
    "title": "My dataset",
    "views": {
    "overview": {
    "title": "Overview",
    "transformation": {
    "fields": [
    "linkUrl"
    ]
    },
    "display": {
    "component": "table",
    "properties": {
    "linkUrl": {
    "label": "Link URL",
    "format": "link"
    }
    }
    }
    }
    }
    },
    "consoleUrl": "https://console.apify.com/storage/datasets/27TmTznX9YPeAYhkC",
    "itemsPublicUrl": "https://api.apify.com/v2/datasets/WkzbQMuFYuamGv3YF/items?signature=abc123",
    "urlSigningSecretKey": "string",
    "generalAccess": "RESTRICTED",
    "stats": {
    "readCount": 22,
    "writeCount": 3,
    "storageBytes": 783,
    "inflatedBytes": 0
    }
    }
    }